%define zopeproductsdir %{_libdir}/zope/lib/python/Products
%define zopeuser        zope
%define productname 	Epoz
%define productver      0.8.1

%define __find 		/usr/bin/find

Name:               zope-%{productname}
Summary:            A Zope product: %{productname} - a cross-browser-wysiwyg-editor for Zope

Version:            %{productver}
Release:            1ied00
Group:              Applications/Internet
Requires:           zope >= 2.7.0
License:            GPL
URL:                http://mjablonski.zope.de/Epoz
Source:             http://mjablonski.zope.de/Epoz/releases/%{productname}-%{productver}.tar.gz
Vendor:             IED
Distribution:       Zope
Packager:           Wei He <hewe@ied.org.cn>
BuildRoot:          %{_tmppath}/%{name}-%{version}-root
Buildarch:          noarch
Requires(preun):    %{__find}
Patch0:             %{productname}-0.8.1-safe-edit.patch
Patch1:             %{productname}-0.8.1-post-tidy.patch

#---------------------------------------------------------------------
%description

Epoz allows you to edit Zope-objects with a wysiwyg-editor. No plugins
are required. You only have to use a recent browser (IE >= 5.5,
Mozilla >= 1.3.1, Netscape >= 7.1, Firebird >= 0.7) that supports
Rich-Text-controls (called Midas for Mozilla).

#----------------------------------------------------------------------

%prep

%setup -q -n %{productname}
%{__chmod} -x *.txt
%patch0 -p1
%patch1 -p1

#----------------------------------------------------------------------
%build

#----------------------------------------------------------------------
%install
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

%{__mkdir_p}  $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}
%{__cp} -pr * $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

#----------------------------------------------------------------------
%preun

%{__find} %{zopeproductsdir}/%{productname} -iname *.pyc -exec %{__rm} '{}' \;

#----------------------------------------------------------------------
%files
%defattr(-,root,root,0755)
%doc CHANGES.txt HISTORY.txt README.txt LICENSE.txt TODO.txt version.txt
%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/%{productname}
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/%{productname}/*

#----------------------------------------------------------------------
%changelog
* Sat May 15 2004 Wei He <hewei@ied.org.cn> 0.8.1-1ied00
- Updated to 0.8.1
- Applied 0.8.1 errata of EpozPostTidy.py
- Added a patch for safe-editing structure text that contains some HTML tags
  like <noscript></noscript>, <textarea></textarea> and <!-- -->

* Thu Apr 29 2004 Wei He <hewei@ied.org.cn> 0.8-0ied00
- Initial release
